SET(LIBEASTWOOD_FOUND FALSE)

IF (LIBEASTWOOD_INCLUDE_DIRS AND LIBEASTWOOD_LIBRARIES)
    SET(LIBEASTWOOD_FIND_QUIETLY TRUE)
ENDIF (LIBEASTWOOD_INCLUDE_DIRS AND LIBEASTWOOD_LIBRARIES)

IF (NOT WIN32)
   INCLUDE(FindPkgConfig)
   PKG_SEARCH_MODULE(LIBEASTWOOD libeastwood)
   ELSE (NOT WIN32)
       FIND_PATH(LIBEASTWOOD_INCLUDE_DIRS eastwood/PakFile.h )
       FIND_LIBRARY(LIBEASTWOOD_LIBRARIES NAMES eastwood )
       INCLUDE(FindPackageHandleStandardArgs)
       FIND_PACKAGE_HANDLE_STANDARD_ARGS(LIBEASTWOOD DEFAULT_MSG LIBEASTWOOD_INCLUDE_DIRS LIBEASTWOOD_LIBRARIES)
ENDIF (NOT WIN32)

IF (LIBEASTWOOD_FOUND)
   INCLUDE(CheckLibraryExists)
   CHECK_LIBRARY_EXISTS(${LIBEASTWOOD_LIBRARIES} readindex "" LIBEASTWOOD_HAS_READINDEX)
   IF (NOT LIBEASTWOOD_HAS_READINDEX)
      SET(LIBEASTWOOD_FOUND FALSE)
   ENDIF(NOT LIBEASTWOOD_HAS_READINDEX)
ENDIF (LIBEASTWOOD_FOUND)

MARK_AS_ADVANCED( LIBEASTWOOD_INCLUDE_DIRS LIBEASTWOOD_LIBRARIES )
